Mailinglist Archive: opensuse-factory (307 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20190402 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20190402

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
MozillaFirefox (66.0 -> 66.0.2)
MozillaThunderbird
babl (0.1.60 -> 0.1.62)
cronie
gcin (2.8.8 -> 2.8.9)
hwdata (0.320 -> 0.321)
kdeconnect-kde (1.3.3 -> 1.3.4)
liblouis
libqt5-qtquickcontrols2
ltrace
mhvtl
open-vm-tools (10.3.5 -> 10.3.10)
perl-Class-Inspector (1.32 -> 1.34)
perl-DateTime-Locale (1.230000 -> 1.240000)
python3
python3-base
quilt (0.65 -> 0.66)
sbl
vim (8.1.1005 -> 8.1.1066)
webkit2gtk3
xfce4-session
yast2-trans (84.87.20190322.b16b39e213 -> 84.87.20190330.92a2062d5c)

=== Details ===

==== MozillaFirefox ====
Version update (66.0 -> 66.0.2)
Subpackages: MozillaFirefox-translations-common

- Mozilla Firefox 66.0.2
* Fixed Web compatibility issues with Office 365, iCloud and
IBM WebMail caused by recent changes to the handling of
keyboard events (bmo#1538966)
* Crash fixes (bmo#1521370, bmo#1539118)
- Add patch to fix aarch64 build:
* mozilla-fix-aarch64-libopus.patch (bmo#1539737)
- Mozilla Firefox 66.0.1
MFSA 2019-09 (bsc#1130262)
* CVE-2019-9810 (bmo#1537924)
IonMonkey MArraySlice has incorrect alias information
* CVE-2019-9813 (bmo#1538006)
Ionmonkey type confusion with __proto__ mutations

==== MozillaThunderbird ====
Subpackages: MozillaThunderbird-translations-common

- Add patch to fix build using rust-1.33: (boo#1130694)
* mozilla-bmo1519629.patch (bmo#1519629)

==== babl ====
Version update (0.1.60 -> 0.1.62)

- Update to version 0.1.62:
+ Initial CMYK spaces with lcms2 based ICC support, much room for
optimization.
+ Improved custom space support for palette formats.
+ scRGB space, works like sRGB but always with linear TRCs.
+ Model introspection API permitting low overhead checks whether
a format/model is RGB, CMYK type of alpha and similar.

==== cronie ====
Subpackages: cron

- update to 1.5.4
* crond: Fix regression from previous release. Only first job
from a crontab was being run [bsc#1130746]
- add cronie-1.5.4-dont_abort_loading_crontab.patch to not abort
loading crontab prematurely in case of error

==== gcin ====
Version update (2.8.8 -> 2.8.9)
Subpackages: gcin-gtk2 gcin-gtk3 gcin-qt4 gcin-qt5 libgcin-im-client1

- Update to 2.8.9
+ Fix issues with gtk3 and switch to gtk3 by default
+ Fix an issue with 41 keys bopomofo
- Add gcin-remove-dead-code.patch to remove the dead code which
causes the useless warning

==== hwdata ====
Version update (0.320 -> 0.321)

- Update to version 0.321:
* Updated pci, usb and vendor ids.

==== kdeconnect-kde ====
Version update (1.3.3 -> 1.3.4)
Subpackages: kdeconnect-kde-lang

- Update to 1.3.4
* Always play when call ended (kde#400787)
* [cli] Show all reachable devices (kde#402088)
* [sftp] Get device ID from URL
* Retry the network packet if it failed to unserialize
* Fix sending keys via CLI
* [kio] Fix file browsing with non-KIO file managers
- Run spec-cleaner
- Refresh 0001-Fix-build-on-Leap-42.3.patch
- Add 0001-Revert-Retry-the-network-packet-if-it-failed-to-unse.patch
to make it build on Leap 42.3
- Drop Provides/Obsoletes for kdeconnect-kde-devel, that package
doesn't exist anymore since 2015 and nothing should need it

==== liblouis ====
Subpackages: liblouis-data liblouis17 python3-louis

- Require libyaml-devel so that yaml tests are run (bsc#1130813).

==== libqt5-qtquickcontrols2 ====
Subpackages: libQt5QuickControls2-5 libQt5QuickTemplates2-5

- Add private-headers-devel subpackage - those were not packaged at all before
- Clean .spec a bit
- Use %license

==== ltrace ====

- lens-double-free.patch: fix double free of memory (bsc#1130664)
- Use %license

==== mhvtl ====

- Reduce dependency on systemd. Make use of %make_install.

==== open-vm-tools ====
Version update (10.3.5 -> 10.3.10)
Subpackages: libvmtools0 open-vm-tools-desktop

- Update to 10.3.10 (build 12406962) (boo#1130898)
+ Resolved - In certain cases, quiesced snapshots on Linux guests do not
include backup manifests.
- Drop unnecessary patch:
- include_log_h_for_g_info.patch
- no_manifest_on_aborted_snapshot.patch
- send_vmbackup_event_generic_manifest.patch
- vmtoolsd_bailout_on_rpc_errors.patch

==== perl-Class-Inspector ====
Version update (1.32 -> 1.34)

- updated to 1.34
see /usr/share/doc/packages/perl-Class-Inspector/Changes
1.34 2019-03-28 12:13:40 -0400
- Producton release identical to 1.33_01
1.33_01 2019-03-27 23:30:09 -0400
- Fix compatability with Devel::Hide (gh#6, gh#8).

==== perl-DateTime-Locale ====
Version update (1.230000 -> 1.240000)

- updated to 1.24
see /usr/share/doc/packages/perl-DateTime-Locale/Changes
1.24 2019-03-28
- Rebuilt all locale data with CLDR 35, released on 2019-03-27.

==== python3 ====
Subpackages: python3-curses python3-dbm

- Return distutils-reproducible-compile.patch which is still
missing (still unfinished bpo#29708).
- Build nis module again.

==== python3-base ====
Subpackages: libpython3_7m1_0

- Remove building of Qt Develop help files.
- Return distutils-reproducible-compile.patch which is still
missing (still unfinished bpo#29708).
- Build nis module again.

==== quilt ====
Version update (0.65 -> 0.66)

- test-faildiff-workaround-order-bug.patch: Avoid false-positive
test suite failures in the build service.
- Update to version 0.66:
* Add support for lzip archives and patches
* Document QUILT_PC as user-settable
* configure: Don't require md5sum
* Test suite: Allow keeping the working directory on failure
* Test suite: Fix /bin/sh filtering
* Test suite: Run tests again if test.quiltrc changes
* Test suite: Handle alternative QUILT_PATCHES values
* Test suite: Increase code path coverage
* Test suite: Be verbose on directory error
* Test suite: Clean up when interrupted
* Test suite: Prevent test cases from escaping
* diff: Add missing quotes in basename call
* header: Fix corruption when trailing newline is missing
* mail: Remove Content-Disposition headers
* mail: Complain when a patch doesn't exist
* new: Fix corruption when trailing newline is missing
* refresh: Add missing quotes in basename call
* setup: Add basic support for p7zip (.7z) archives
* setup: Align --fast on --slow for series files
* quilt.el: Define quilt-edit-top-only before it's used
* quilt.el: Stop using deprecated toggle-read-only
* quilt.el: Don't strip directory in quilt-top-patch
* quilt.el: Fix emacs compatibility issue
* quilt.el: Read QUILT_PC from config file
* guards: Mention it in quilt manual page
* compat/getopt: Handle a second separator
* compat/getopt: Allow non-digit parameter embedded in short option
* Obsoletes mail-fix-patch-set-threading.patch
* Obsoletes patch-wrapper-rpm.diff
* Obsoletes perl-526.patch
* Obsoletes quilt-translations.patch
* Obsoletes quiltrc-support-all-patch-formats-by-default.patch
- Refresh suse-workaround-pseudo-release.patch

==== sbl ====

- Drop pre-openSUSE 13.1 support.
- Reduce scriptlet's hard dependency on systemd.
- Combine %service_* calls to reduce generated boilerplate.
- Request cflags from speech-dispatcher.pc.
- Use a better Summary field.

==== vim ====
Version update (8.1.1005 -> 8.1.1066)
Subpackages: gvim vim-data vim-data-common

- Updated to version 8.1.1066, fixes the following problems
* Test fails because t_F2 is not set.
* Repeated code in quickfix support.
* Using closure may consume a lot of memory.
* Lua interface leaks memory.
* Indent from autoindent not removed from blank line. (Daniel Hahler)
* Memory leak with E461.
* Quickfix buffer shows up in list, can't get buffer number.
* Off-by-one error in filetype detection.
* Window cleared when entering Terminal-Normal twice. (Epheien)
* Lua: may garbage collect function reference in use.
* Compiler warning for Python3 interface.
* pyeval() and py3eval() leak memory.
* May use NULL pointer when out of memory. (Coverity)
* May use NULL pointer when indexing a blob. (Coverity)
* Stray log calls in terminal code. (Christian Brabandt)
* Checking NULL pointer after addition. (Coverity)
* Unused condition. (Coverity)
* Memory usage test sometimes fails.
* DirectWrite doesn't take 'linespace' into account.
* Quickfix function arguments are inconsistent.
* Memory usage test may still fail.
* Warnings from clang static analyzer. (Yegappan Lakshmanan)
* Memory usage test may still fail on some systems. (Elimar Riesebieter)
* Too many #ifdefs.
* prop_remove() second argument is not optional.
* Quickfix function arguments are inconsistent.
* Memory usage test may still fail on some systems.
* Arabic support excludes Farsi.
* FEAT_TAG_ANYWHITE is not enabled in any build.
* Test for Arabic no longer needed.
* The paste test doesn't work properly in the Windows console.
* Lua interface does not support Blob.
* No way to check the reference count of objects.
* E315 ml_get error when using Python and hidden buffer.
* the "secure" variable is used inconsistently. (Justin M. Keyes)
* WINCH signal is not tested.
* Minor issues with tests.
* When user tries to exit with CTRL-C message is confusing.
* Blank srceen when DirectWrite failed.
* Not all ways to switch terminal mode are tested.
* test for CTRL-C message sometimes fails
* Warning for missing return statement. (Dominique Pelle)
* Not checking return value of ga_grow(). (Coverity)
* CTRL-G U in Insert mode doesn't work to avoid splitting the undo sequence
for shift-left and shift-right.
* No eval function for Ruby.
* Memory usage test may still fail on some systems.
always used.
* When substitute string throws error, substitute happens anyway.
* Quickfix code is repeated.
* Insufficient testing for wildmenu completion.
* No test for output conversion in the GTK GUI.
* No test for using and deleting menu in the GUI.
* VIMDLL isn't actually used.

==== webkit2gtk3 ====
Subpackages: libjavascriptcoregtk-4_0-18 libwebkit2gtk-4_0-37
libwebkit2gtk3-lang typelib-1_0-JavaScriptCore-4_0 typelib-1_0-WebKit2-4_0
webkit2gtk-4_0-injected-bundles

- Add webkitgtk-gstreamer-gl-build-fix.patch: fix build on
SLE/Leap 15 (webkit#196178).

==== xfce4-session ====
Subpackages: libxfsm-4_6-0 xfce4-session-lang

- Remove a hunk from xinitrd. Upstream already sets
XDG_CURRENT_DESKTOP with commit 4daf68eb
xfce4-session-adapt-session-scripts.patch
- Use autosetup for simpler quilt setup
refresh add-light-locker-support.patch

==== yast2-trans ====
Version update (84.87.20190322.b16b39e213 -> 84.87.20190330.92a2062d5c)
Subpackages: yast2-trans-af yast2-trans-ar yast2-trans-bg yast2-trans-bn
yast2-trans-bs yast2-trans-ca yast2-trans-cs yast2-trans-cy yast2-trans-da
yast2-trans-de yast2-trans-el yast2-trans-en yast2-trans-en_GB
yast2-trans-en_US yast2-trans-es yast2-trans-et yast2-trans-fa yast2-trans-fi
yast2-trans-fr yast2-trans-gl yast2-trans-gu yast2-trans-hi yast2-trans-hr
yast2-trans-hu yast2-trans-id yast2-trans-it yast2-trans-ja yast2-trans-jv
yast2-trans-ka yast2-trans-km yast2-trans-ko yast2-trans-lo yast2-trans-lt
yast2-trans-mk yast2-trans-mr yast2-trans-nb yast2-trans-nl yast2-trans-pa
yast2-trans-pl yast2-trans-pt yast2-trans-pt_BR yast2-trans-ro yast2-trans-ru
yast2-trans-si yast2-trans-sk yast2-trans-sl yast2-trans-sr yast2-trans-sv
yast2-trans-ta yast2-trans-th yast2-trans-tr yast2-trans-uk yast2-trans-vi
yast2-trans-wa yast2-trans-xh yast2-trans-zh_CN yast2-trans-zh_TW yast2-trans-zu

- Update to version 84.87.20190330.92a2062d5c:
* New POT for text domain 'firewall'.
* New POT for text domain 'country'.
* New POT for text domain 'iscsi-client'.
* New POT for text domain 'installation'.
* New POT for text domain 'update'.
* New POT for text domain 'storage'.
* New POT for text domain 'rmt'.
* New POT for text domain 'packager'.
* Translated using Weblate (Slovak)
* Translated using Weblate (Danish)
* Translated using Weblate (German)
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Danish)
* Translated using Weblate (Slovak)
* New POT for text domain 'printer'.
* Translated using Weblate (Slovak)


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages